Simple Package Manager for Debian type

Here is a place for your projects which are not officially supported by the Porteus Team. For example: your own kernel patched with extra features; desktops not included in the standard ISO like Gnome; base modules that are different than the standard ISO, etc...
neko
DEV Team
DEV Team
Posts: 990
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#46 by neko » 10 Sep 2015, 02:58

@francois
wrote
Is Simple Package Manager for Debian type is still an active project?
Yes, it is.
If something bug will be reported, I will try to fix.

Thanks.


P.S.
Now, I am trying to offer the Simple Package Manager for ArchLinux packages.
But I hesitate to offer it.
The reason is that almost packages that are imported from ArckLinux do not run directly on Portesu.
It is not a usefull tool for usual users.

neko
DEV Team
DEV Team
Posts: 990
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#47 by neko » 16 Jan 2016, 23:11

[Bug fix]
'mksquashfs' option usage miss was fixed.

spmDebian-15.01.28-noarch-4.xzm (37 K)
http://www.mediafire.com/download/i4vzw ... arch-4.xzm
md5sum: 27303ca65640901ff4f66159be5e58be spmDebian-15.01.28-noarch-4.xzm


Thanks.

jamie81
White ninja
White ninja
Posts: 20
Joined: 20 May 2016, 21:37
Distribution: porteus 3.2rc
Location: U.S

Re: Simple Package Manager for Debian type

Post#48 by jamie81 » 21 May 2016, 17:20

I keep getting this from every mirror when trying to download database.

Image

neko
DEV Team
DEV Team
Posts: 990
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#49 by neko » 22 May 2016, 05:35

@jamie81
Excuse me that "SPM Debian" check is missing.
When use version is not selected yet, the error message is sent.
It should be checked. But it is not checked.

Please select a use version first.

Thank you for your report.


------------------------------------------------------------------------------------------
analyze the error message "wget (http://ftp.jp.debian.org/debian/dists/skip/Release) error"
1. printing point
file:/opt/porteus-scripts/simplepm/deb_versions, function:downloadDebianDB(), line:209
$SUBDIR/dialogERROR "`expMSG debMSG_20`" 500 gtk-stop

2. printing reason
file:/opt/porteus-scripts/simplepm/deb_versions, function:downloadDebianDB(), line:204
wget -o $WRK/in -c $DEBIANREPO/dists/$1/Release -P $OPT/debian/$1
---->
wget -o $WRK/in -c http://ftp.jp.debian.org/debian/dists/skip/Release
result:wget error

3. caller of downloadDebianDB()
file:/opt/porteus-scripts/simplepm/deb_versions, function:set_debian_data_base(), line:402
if ! downloadDebianDB $1 ;
---->
if ! downloadDebianDB skip ;

4. caller of set_debian_data_base()
file:/opt/porteus-scripts/simplepm/deb_versions, function:deb_update_database(), line:521
if ! set_debian_data_base $DEBVER skip
---->
if ! set_debian_data_base skip

5. caller of deb_update_database()
call deb_update_database() function without DEBVER value setting.

6. How to set DEBVER "debian version" in GUI.
select in "Select a version" frame (left on top).

------------------------------------------------------------------------------------------
next update:
file:/opt/porteus-scripts/simplepm/deb_versions, function:deb_update_database(),
insert following lines between line 499 and line 500.

Code: Select all

if [[ -z "$DEBVER" ]]
then
	return
fi

Post Reply